template _tmp_1266
{
    name = "tpled_template5";
    type = GRAPHICAL;
    width = 41;
    maxheight = 100;
    columns = (12, 12);
    gap = 0;
    fillpolicy = CONTINUOUS;
    filldirection = HORIZONTAL;
    margins = (0, 0, 0, 0);
    gridxspacing = 0.5;
    gridyspacing = 0.5;
    version = 3.21;
    created = "24.11.2009 22:25";
    modified = "17.09.2024 09:51";
    notes = "";

    header _tmp_1852
    {
        name = "Header";
        height = 15;

        text _tmp_1854
        {
            name = "Text_1";
            x1 = 0;
            y1 = 11;
            x2 = 0;
            y2 = 11;
            string = "³  , ";
            fontname = "GOST-A";
            fontcolor = 153;
            fonttype = 2;
            fontsize = 3.5;
            fontratio = 0.8;
            fontslant = 0;
            fontstyle = 2;
            angle = 0;
            justify = LEFT;
            pen = -1;
        };

        text _tmp_904
        {
            name = "_1";
            x1 = 8.080078125;
            y1 = 4;
            x2 = 8.080078125;
            y2 = 4;
            string = " ";
            fontname = "GOST-A";
            fontcolor = 153;
            fonttype = 2;
            fontsize = 3.5;
            fontratio = 0.9;
            fontslant = 0;
            fontstyle = 2;
            angle = 0;
            justify = CENTERED;
            pen = -1;
        };

        rectangle _tmp_1374
        {
            name = "_1";
            x1 = 41;
            y1 = 0;
            x2 = 0;
            y2 = 10;
            filled = FALSE;
            filltype = -1;
            pen = -1;
            color = 162;
            linetype = 1;
            linewidth = 1;
        };
    };

    row _tmp_2
    {
        name = "CAST_UNIT";
        height = 3;
        visibility = FALSE;
        usecolumns = FALSE;
        rule = "";
        contenttype = "CAST_UNIT";
        sorttype = COMBINE;

        valuefield _tmp_4
        {
            name = "_";
            location = (1, 0.5);
            formula = "GetValue(\"ASSEMBLY.ASSEMBLY_POS\")";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = FALSE;
            angle = 0;
            length = 12;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "GOST-A";
            fontcolor = 155;
            fonttype = 2;
            fontsize = 2;
            fontratio = 0.9;
            fontstyle = 2;
            fontslant = 0;
            pen = -1;
            oncombine = NONE;
        };
    };

    row _tmp_2374
    {
        name = "REBAR_2";
        height = 6;
        visibility = TRUE;
        usecolumns = FALSE;
        rule = "";
        contenttype = "REBAR";
        sorttype = COMBINE;

        valuefield _tmp_2378
        {
            name = "";
            location = (0.5, 1.5);
            formula = "GetValue(\"GRADE\")\n+ \"  \" +\n\nif (GetValue(\"GRADE\") ==\"Bp-I\" || GetValue(\"GRADE\") ==\"B-I\") then \" 3760:2019\"\n\nelse\n\nif (GetValue(\"GRADE\") ==\"A-I\" || \nGetValue(\"GRADE\") ==\"A-II\" || \nGetValue(\"GRADE\") ==\"A-III\" || \nGetValue(\"GRADE\") ==\"A-IV\") ||\nGetValue(\"GRADE\") ==\"A-V\" || \nGetValue(\"GRADE\") ==\"A-VI\" || \n\nthen \" 3760:2019\" \n\nelse \" 3760:2019\"\n\nendif\nendif";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = CENTERED;
            visibility = TRUE;
            angle = 0;
            length = 26;
            decimals = 0;
            sortdirection = ASCENDING;
            fontname = "GOST-A";
            fontcolor = 153;
            fonttype = 2;
            fontsize = 3.5;
            fontratio = 0.85;
            fontstyle = 2;
            fontslant = 0;
            pen = -1;
            oncombine = NONE;
        };

        rectangle _tmp_1328
        {
            name = "";
            x1 = 0;
            y1 = 6;
            x2 = 41;
            y2 = 0;
            filled = FALSE;
            filltype = -1;
            pen = -1;
            color = 162;
            linetype = 1;
            linewidth = 1;
        };

        row _tmp_1598
        {
            name = "REBAR";
            height = 6;
            visibility = TRUE;
            usecolumns = FALSE;
            rule = "";
            contenttype = "REBAR";
            sorttype = COMBINE;

            valuefield _tmp_2253
            {
                name = "";
                location = (12.9375, 1.5);
                formula = "GetValue(\"SIZE\")";
                datatype = INTEGER;
                class = "Length";
                cacheable = TRUE;
                justify = LEFT;
                visibility = TRUE;
                angle = 0;
                length = 4;
                decimals = 0;
                sortdirection = ASCENDING;
                fontname = "GOST-A";
                fontcolor = 153;
                fonttype = 2;
                fontsize = 3.5;
                fontratio = 0.9;
                fontstyle = 2;
                fontslant = 0;
                pen = -1;
                oncombine = NONE;
                unit = "mm";
            };

            lineorarc _tmp_2254
            {
                name = "LineOrArc_5";
                x1 = 19.5;
                y1 = 0;
                x2 = 19.5;
                y2 = 6;
                pen = -1;
                color = 162;
                linetype = 1;
                linewidth = 1;
                bulge = 0;
            };

            valuefield _tmp_2255
            {
                name = "_";
                location = (19.5, 1.5);
                formula = "GetValue(\"WEIGHT_TOTAL\")";
                datatype = DOUBLE;
                class = "Weight";
                cacheable = TRUE;
                justify = CENTERED;
                visibility = TRUE;
                angle = 0;
                length = 13;
                decimals = 1;
                sortdirection = NONE;
                fontname = "GOST-A";
                fontcolor = 153;
                fonttype = 2;
                fontsize = 3.5;
                fontratio = 0.9;
                fontstyle = 2;
                fontslant = 0;
                pen = -1;
                oncombine = SUM;
                unit = "kg";
            };

            lineorarc _tmp_915
            {
                name = "LineOrArc (  )";
                x1 = 9.5223471788345;
                y1 = 1.30943669250646;
                x2 = 12.5223471788345;
                y2 = 4.30943669250646;
                pen = -1;
                color = 162;
                linetype = 1;
                linewidth = 1;
                bulge = 0;
            };

            circle _tmp_916
            {
                name = "";
                radius = 1.11803;
                center = (11.0223471788345, 2.80943669250646);
                filled = FALSE;
                filltype = -1;
                pen = -1;
                color = 162;
                linetype = 1;
                linewidth = 1;
            };

            rectangle _tmp_11
            {
                name = "Rectangle";
                x1 = 0;
                y1 = 6;
                x2 = 41;
                y2 = 0;
                filled = FALSE;
                filltype = -1;
                pen = -1;
                color = 162;
                linetype = 1;
                linewidth = 1;
            };
        };

        row _tmp_2171
        {
            name = "REBAR_1";
            height = 6;
            visibility = TRUE;
            usecolumns = FALSE;
            rule = "";
            contenttype = "REBAR";
            sorttype = COMBINE;

            text _tmp_2239
            {
                name = "Text_2";
                x1 = 9.5;
                y1 = 1.5;
                x2 = 9.5;
                y2 = 1.5;
                string = "";
                fontname = "GOST-A";
                fontcolor = 153;
                fonttype = 2;
                fontsize = 3.5;
                fontratio = 0.9;
                fontslant = 0;
                fontstyle = 2;
                angle = 0;
                justify = LEFT;
                pen = -1;
            };

            lineorarc _tmp_2240
            {
                name = "LineOrArc_6";
                x1 = 19.5;
                y1 = 0;
                x2 = 19.5;
                y2 = 6;
                pen = -1;
                color = 162;
                linetype = 1;
                linewidth = 1;
                bulge = 0;
            };

            valuefield _tmp_2241
            {
                name = "";
                location = (19.5, 1.5);
                formula = "GetValue(\"WEIGHT_TOTAL\")";
                datatype = DOUBLE;
                class = "Weight";
                cacheable = TRUE;
                justify = CENTERED;
                visibility = TRUE;
                angle = 0;
                length = 13;
                decimals = 1;
                sortdirection = NONE;
                fontname = "GOST-A";
                fontcolor = 153;
                fonttype = 2;
                fontsize = 3.5;
                fontratio = 0.9;
                fontstyle = 2;
                fontslant = 0;
                pen = -1;
                oncombine = SUM;
                unit = "kg";
            };

            rectangle _tmp_14
            {
                name = "Rectangle_2";
                x1 = 0;
                y1 = 6;
                x2 = 41;
                y2 = 0;
                filled = FALSE;
                filltype = -1;
                pen = -1;
                color = 162;
                linetype = 1;
                linewidth = 1;
            };
        };
    };

    pagefooter _tmp_7
    {
        name = "PageFooter";
        height = 6;
        outputpolicy = NONE;

        rectangle _tmp_12
        {
            name = "Rectangle_1";
            x1 = 0;
            y1 = 6;
            x2 = 41;
            y2 = 0;
            filled = FALSE;
            filltype = -1;
            pen = -1;
            color = 162;
            linetype = 1;
            linewidth = 1;
        };

        valuefield _tmp_18
        {
            name = "Total";
            location = (0.5, 1.5);
            formula = "GetValue(\"DRAWING.DR_PART_POS\") + \"   \" + format(Total(\"\"), \"Weight\", \"kg\", 1) + \" \"";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = CENTERED;
            visibility = TRUE;
            angle = 0;
            length = 26;
            decimals = 0;
            sortdirection = NONE;
            fontname = "GOST-A";
            fontcolor = 153;
            fonttype = 2;
            fontsize = 3.5;
            fontratio = 0.85;
            fontstyle = 2;
            fontslant = 0;
            pen = -1;
            oncombine = NONE;
        };
    };
};
